Bug 617587 - Luci doesn't display underlying errors
Luci doesn't display underlying errors
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: luci (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Ryan McCabe
Cluster QE
:
Depends On: 617586
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-23 09:47 EDT by Andrew Beekhof
Modified: 2016-04-26 10:18 EDT (History)
2 users (show)

See Also:
Fixed In Version: luci-0.23.0-12.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 09:56:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Beekhof 2010-07-23 09:47:37 EDT
Description of problem:

Possibly ricci doesn't expose them (in which case we can clone the bug for it too), but we should be able to give some feedback to users about the nature of faults.

For example, I had no search line in /etc/resolv.conf which meant cman couldn't start.

"service cman start" shows:

Starting cluster: 
   Checking Network Manager...                             [  OK  ]
   Global setup...                                         [  OK  ]
   Loading kernel modules...                               [  OK  ]
   Mounting configfs...                                    [  OK  ]
   Starting cman... Can't determine address family of nodename
Unable to get the configuration
Can't determine address family of nodename
cman_tool: corosync daemon didn't start
                                                           [FAILED]


Which isn't perfect but quickly led me to think about name resolution and resolv.conf

Luci just displayed "Node is not a member of the cluster" in red with no explanation.
Similarly "Join Cluster" displayed no kind of error and the node simply retained the "not a member" status. 


Version-Release number of selected component (if applicable):

luci-0.22.2-1.auto1279839662
Comment 2 RHEL Product and Program Management 2010-07-23 10:17:50 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 9 Brian Brock 2011-04-13 14:55:52 EDT
fix verified in luci-0.23.0-13.el6

I've checked this many times.
Comment 10 errata-xmlrpc 2011-05-19 09:56:13 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0655.html

Note You need to log in before you can comment on or make changes to this bug.